Problem with Polymerize


#1

Has this occurred to anyone while using loneleeandroo:polymerize? I tried to upload it to meteor.com and my website crashed. Any ideas how to solve this?

 [Tue Jul 14 2015 00:02:23 GMT+0000 (UTC)] WARNING
    /meteor/dev_bundles/0.4.18/lib/node_modules/fibers/future.js:245
    throw(ex);
    ^
    [Tue Jul 14 2015 00:02:23 GMT+0000 (UTC)] WARNING Error: EACCES, permission denied
    '../../../../../../bower.json'
    at Object.fs.openSync (fs.js:439:18)
    at Object.fs.writeFileSync (fs.js:978:15)
    at Bower.writeFile (packages/loneleeandroo:polymerize/polymerize-server.coffee:55:15)
    at Bower.getFile (packages/loneleeandroo:polymerize/polymerize-server.coffee:40:10)
    at new Bower (packages/loneleeandroo:polymerize/polymerize-server.coffee:23:25)
    at new Polymerizer (packages/loneleeandroo:polymerize/polymerize-server.coffee:186:18)
    at Package (packages/loneleeandroo:polymerize/polymerize-server.coffee:279:19)
    at packages/loneleeandroo:polymerize/polymerize-server.coffee:1:1
    at packages/loneleeandroo:polymerize/polymerize-server.coffee:1:1
    at /meteor/containers/179d835e-9ae8-7902-6af9-fc2cfad09e86/bundle/programs/server/boot.js:222:10

#2

I have the same problem here :confused:


#3

Last polymerize update was 2 months ago. Polymer has almost daily commits and new releases every few months. Whether or not something’s wrong with this package (that’s how it looks like I think. Though I am just looking at the log, I don’t know about package stuff) or not, it’s probably not very much maintained (and in a few months obsolete). Just use bower to install Polymer in your public folder.


#4

I also have loneleeandroo:polymerize installed on a project. What happens if you run bower update in your projects root folder? I just did and it updated to the latest polymer releast six days ago.